> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dune.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Materialized View

> This fetches a materialized view given a name

<Info>
  Minimum required API key scope: `Read`
</Info>

<Note>
  * The name must be the full name qualifier for the materialized view, i.e. `dune.<your_team>.<name>`
</Note>


## OpenAPI

````yaml GET /v1/materialized-views/{name}
openapi: 3.0.1
info:
  contact: {}
  description: Dune API
  title: DuneAPI
  version: '1.0'
servers:
  - url: https://api.dune.com/api
security: []
paths:
  /v1/materialized-views/{name}:
    get:
      summary: This fetches a materialized view given a name
      description: This fetches a materialized view given a name
      parameters:
        - description: Matview Name
          in: path
          name: name
          required: true
          schema:
            type: string
        - description: API Key for the service
          in: header
          name: X-Dune-Api-Key
          required: true
          schema:
            type: string
        - description: API Key, alternative to using the HTTP header X-Dune-Api-Key
          in: query
          name: api_key
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/matviews.MatviewsGetResponse'
          description: OK
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.Error400'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.Error401'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.Error403'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.Error404'
          description: Not Found
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.Error500'
          description: Internal Server Error
components:
  schemas:
    matviews.MatviewsGetResponse:
      properties:
        id:
          type: string
        is_private:
          type: boolean
        last_execution_ids:
          items:
            type: string
          type: array
        owner_team_id:
          type: integer
        owner_user_id:
          type: integer
        query_id:
          type: integer
        sql_id:
          type: string
        table_size_bytes:
          type: integer
      type: object
    models.Error400:
      properties:
        error:
          example: Bad Request
          type: string
      type: object
    models.Error401:
      properties:
        error:
          example: Invalid API Key
          type: string
      type: object
    models.Error403:
      properties:
        error:
          example: >-
            Not allowed to execute query. Query is archived, unsaved or not
            enough permissions
          type: string
      type: object
    models.Error404:
      properties:
        error:
          example: Object not found
          type: string
      type: object
    models.Error500:
      properties:
        error:
          example: Internal error
          type: string
      type: object

````